Bug 193386 - kernel boot freezes unless acpi=off
kernel boot freezes unless acpi=off
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-27 17:56 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-01 14:49:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg | grep ACPI from the FC-4 kernel (3.42 KB, text/plain)
2006-05-27 17:57 EDT, Jose Pedro Oliveira
no flags Details
dmesg from kernel 2.6.16-1.2122_FC5 with option nolapic (17.64 KB, text/plain)
2006-05-31 20:15 EDT, Jose Pedro Oliveira
no flags Details

  None (edit)
Description Jose Pedro Oliveira 2006-05-27 17:56:34 EDT
Description of problem:
The boot process freezes after having outputed the following line:
ACPI: Subsystem revision 20060127

Version-Release number of selected component (if applicable):
kernel 2.6.16.x

How reproducible:
Always


Expected results:


Additional info:
Hardware: ASUS Laptop S1300N
The same hardware had no ACPI problems in Fedora Core 4 with kernels < 2.6.16.
The FC-4 update kernels (>= 2.6.16) also have the same ACPI problems (boot freezes).

Right now the laptop has FC-5 but has ACPI disabled.  To have ACPI (and sound
snd-intel8x0) I have to boot with a FC-4 kerel (< 2.6.16). Right now I use the
kernel 2.6.15-1.1833_FC4.

Is there a simple way to migrate the ACPI info from the FC-4 kernel into one
FC-5 kernel?

TIA,
jpo
Comment 1 Jose Pedro Oliveira 2006-05-27 17:57:54 EDT
Created attachment 130111 [details]
dmesg | grep ACPI from the FC-4 kernel
Comment 2 Konrad Rzeszutek 2006-05-30 09:59:59 EDT
Could you pass the full dmesg for the kernel that fails?
Comment 3 Konrad Rzeszutek 2006-05-30 10:00:59 EDT
Jose,
Also, could you try booting FC5 with 'nolapic' or 'noapic' bootup parameters?
Comment 4 Jose Pedro Oliveira 2006-05-31 20:10:01 EDT
(In reply to comment #3)
> Also, could you try booting FC5 with 'nolapic' or 'noapic' bootup parameters?

Kernel 2.6.16-1.2122_FC5

* booting with pci=noapic

  kernel freezes after printing "ACPI: Subsystem revision 20060127"

* booting with nolapic

  the machine boots
  - with ACPI support
  - with sound
  - but without USB support (doesn't mount USB pens, doesn't load
    my ADSL USB modem firmware)

Comment 5 Jose Pedro Oliveira 2006-05-31 20:15:53 EDT
Created attachment 130321 [details]
dmesg from kernel 2.6.16-1.2122_FC5 with option nolapic

Forgot to mention that the  udev  timeout during the boot process.
Comment 6 Jose Pedro Oliveira 2006-05-31 21:04:25 EDT
nolapic
-------

I have made at least three more boots with the nolapic option and haven't seen
the udev timeout again; everything appears to be working fine (including the USB
devices).

thanks
Comment 7 Jose Pedro Oliveira 2006-06-01 14:49:10 EDT
Closing ticket - nolapic resolved the problem.


Note You need to log in before you can comment on or make changes to this bug.